# getOptionNames method

1. @override

Set<String> getOptionNames()
override

Returns the names of all parsed option arguments.

Option arguments are those starting with `--`. For example, given:

    --foo=bar --debug

this returns:

    ['foo', 'debug']

@return a set of option names, or an empty set if none.

## Implementation

    @override
    Set<String> getOptionNames() {
      List<String> names = source.getPropertyNames();
      return Set.unmodifiable(names.toSet());
    }